> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Player Lookup

> Retrieves player data based on game mode and applied filters.



## OpenAPI

````yaml https://stash.seraph.si/json post /player/lookup
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /player/lookup:
    post:
      tags:
        - Player
        - Search
      summary: Player Lookup
      description: Retrieves player data based on game mode and applied filters.
      parameters:
        - description: Bearer <token>
          in: header
          name: Authorization
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/routes.PlayerLookupBody'
        description: Player lookup criteria including game mode and specific filters
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/routes.PlayerLookupBedwarsResponse'
                  - $ref: '#/components/schemas/routes.PlayerLookupSkywarsResponse'
          description: Successful lookup for Skywars game mode
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: >-
            Bad Request: Invalid game mode, missing parameters, or invalid
            filter combination
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Unauthorized: Not enough permission'
components:
  schemas:
    routes.PlayerLookupBody:
      properties:
        bedwars:
          $ref: '#/components/schemas/types.BedwarsPlayerCache'
        difference:
          type: integer
        game_mode:
          type: string
        live_status:
          type: boolean
        skywars:
          $ref: '#/components/schemas/types.SkywarsPlayerCache'
      type: object
    routes.PlayerLookupBedwarsResponse:
      properties:
        difference:
          type: integer
        results:
          items:
            $ref: '#/components/schemas/types.BedwarsPlayerCache'
          type: array
          uniqueItems: false
      type: object
    routes.PlayerLookupSkywarsResponse:
      properties:
        difference:
          type: integer
        results:
          items:
            $ref: '#/components/schemas/types.SkywarsPlayerCache'
          type: array
          uniqueItems: false
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    types.BedwarsPlayerCache:
      properties:
        activeBedDestroy:
          type: string
        activeDeathCry:
          type: string
        activeGlyph:
          type: string
        activeIslandTopper:
          type: string
        activeKillEffect:
          type: string
        activeKillMessages:
          type: string
        activeNPCSkin:
          type: string
        activeProjectileTrail:
          type: string
        activeSprays:
          type: string
        activeVictoryDance:
          type: string
        activeWoodType:
          type: string
        bedwars_exp:
          type: integer
        bedwars_level:
          type: integer
        displayname:
          type: string
        eight_one_beds_broken_bedwars:
          type: integer
        eight_one_beds_lost_bedwars:
          type: integer
        eight_one_deaths_bedwars:
          type: integer
        eight_one_final_deaths_bedwars:
          type: integer
        eight_one_final_kills_bedwars:
          type: integer
        eight_one_kills_bedwars:
          type: integer
        eight_one_losses_bedwars:
          type: integer
        eight_one_wins_bedwars:
          type: integer
        eight_two_beds_broken_bedwars:
          type: integer
        eight_two_beds_lost_bedwars:
          type: integer
        eight_two_deaths_bedwars:
          type: integer
        eight_two_final_deaths_bedwars:
          type: integer
        eight_two_final_kills_bedwars:
          type: integer
        eight_two_kills_bedwars:
          type: integer
        eight_two_losses_bedwars:
          type: integer
        eight_two_wins_bedwars:
          type: integer
        four_four_beds_broken_bedwars:
          type: integer
        four_four_beds_lost_bedwars:
          type: integer
        four_four_deaths_bedwars:
          type: integer
        four_four_final_deaths_bedwars:
          type: integer
        four_four_final_kills_bedwars:
          type: integer
        four_four_kills_bedwars:
          type: integer
        four_four_losses_bedwars:
          type: integer
        four_four_wins_bedwars:
          type: integer
        four_three_beds_broken_bedwars:
          type: integer
        four_three_beds_lost_bedwars:
          type: integer
        four_three_deaths_bedwars:
          type: integer
        four_three_final_deaths_bedwars:
          type: integer
        four_three_final_kills_bedwars:
          type: integer
        four_three_kills_bedwars:
          type: integer
        four_three_losses_bedwars:
          type: integer
        four_three_wins_bedwars:
          type: integer
        linked_discord:
          type: string
        overall_beds_broken_bedwars:
          type: integer
        overall_beds_lost_bedwars:
          type: integer
        overall_deaths_bedwars:
          type: integer
        overall_final_deaths_bedwars:
          type: integer
        overall_final_kills_bedwars:
          type: integer
        overall_kills_bedwars:
          type: integer
        overall_losses_bedwars:
          type: integer
        overall_wins_bedwars:
          type: integer
        player_rank:
          type: string
        quickbuy:
          type: string
        updated_at:
          type: string
        uuid:
          type: string
      type: object
    types.SkywarsPlayerCache:
      properties:
        activeKit_SOLO:
          type: string
        activeKit_SOLO_random:
          type: boolean
        activeKit_TEAMS:
          type: string
        activeKit_TEAMS_random:
          type: boolean
        active_balloon:
          type: string
        active_cage:
          type: string
        active_deathcry:
          type: string
        active_killeffect:
          type: string
        active_killmessages:
          type: string
        active_projectiletrail:
          type: string
        active_sprays:
          type: string
        active_victorydance:
          type: string
        displayname:
          type: string
        heads:
          type: integer
        kills:
          type: integer
        last_lobby_seen:
          type: string
        level:
          type: number
        player_rank:
          type: string
        seen_at:
          type: string
        updated_at:
          type: string
        uuid:
          type: string
        void_kills:
          type: integer
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````